DateConversionHelper (Grails 5.2.4)

Package: org.grails.databinding.converters

## [Groovy] Class DateConversionHelper

- org.grails.databinding.converters.DateConversionHelper

- All Implemented Interfaces and Traits:
    ValueConverter

      @groovy.transform.CompileStatic
      class DateConversionHelper
      extends java.lang.Object
      implements ValueConverter

  Authors:
    Jeff Brown
  Since:
    2.3

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `dateParsingLenient` Whether data parsing is lenient
    `java.util.List<java.lang.String>` | `formatStrings` A List of String which represent date formats compatible with java.text.SimpleDateFormat.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DateConversionHelper ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `canConvert(java.lang.Object value)`
    `` | `java.lang.Object` | `convert(java.lang.Object value)`
    `` | `java.lang.Class<?>` | `getTargetType()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### boolean dateParsingLenient

      Whether data parsing is lenient

    - #### java.util.List<java.lang.String> formatStrings

      A List of String which represent date formats compatible with java.text.SimpleDateFormat. When This converter attempts to convert a String to a Date, these formats will be tried in the order in which they appear in the List.

  - ### Constructor Detail

    - #### DateConversionHelper()

  - ### Method Detail

    - #### boolean canConvert(java.lang.Object value)

    - #### java.lang.Object convert(java.lang.Object value)

    - #### java.lang.Class<?> getTargetType()